from PyQt6.QtDBus import QDBusArgument, QDBusVariant, QDBusMessage
from PyQt6.QtWidgets import QApplication
from PyQt6.QtCore import QByteArray

app = QApplication([])

arg = QDBusArgument()
arg.beginStructure()
arg.add(QDBusVariant(QByteArray(b"Hello")))
arg.endStructure() 

message = QDBusMessage.createMethodCall("org.freedesktop.portal.Desktop", "/org/freedesktop/portal/desktop", "org.freedesktop.portal.DynamicLauncher", "PrepareInstall")
message.setArguments(["", "name", QDBusVariant(arg),  {}])
